Name:           nautilus-flac-converter
Version:        0.0.2
Release:        9%{?dist}
Summary:        Nautilus extension to convert FLACS to Ogg Vorbis

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://nautilus-flac.sourceforge.net/
Source0:        http://download.sourceforge.net/nautilus-flac/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libglade2-devel >= 2.4.0
BuildRequires:	gnome-vfs2-devel >= 2.6.0
BuildRequires:	nautilus-devel >= 2.6.0
BuildRequires:	perl(XML::Parser)

Requires:	vorbis-tools 


%description
Adds a "Convert FLAC to Ogg..." menu item to the context menu
of all flacs. This opens a dialog where you set the ogg vorbis
quality, and encoding directory. A click on "Ok" finally converts
the flac to ogg vorbis.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_datadir}/%{name}/
%{_libdir}/nautilus/extensions-1.0/*.so


%changelog
* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-9
- Rebuild.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-8
- Update license tag.

* Thu Sep  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-7
- Add BR on perl(XML::Parser).

* Thu Sep  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-6
- Rebuild for FC6.

* Sun Aug 13 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-5
- Drop BR on nautilus-extension.

* Fri Aug 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-4
- Add BR on nautilus-extensions.

* Fri Aug 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-3
- Add BR for nautilus-devel, due to Core change.

* Tue Feb  7 2006 Brian Pepple <bdpepple@ameritech.net> - 0.0.2-2
- Update URL & Source for sourceforge address.

* Tue Jan 31 2006 Brian Pepple <bdpepple@ameritech.net> - 0.0.2-1
- Update to 0.0.2.

* Sun Jan 29 2006 Brian Pepple <bdpepple@ameritech.net> - 0.0.1-1
- Initial spec file.

